It is currently May 19th, 2019, 7:43 am

AudioLevel plugin

Changes made during the Rainmeter 3.2 beta cycle.
User avatar
jsmorley
Developer
Posts: 19245
Joined: April 19th, 2009, 11:02 pm
Location: Fort Hunt, Virginia, USA

AudioLevel plugin

jsmorley » September 9th, 2014, 7:32 pm

User dgrace has graciously allowed us to add his insanely excellent AudioLevel plugin to the Rainmeter build. All future changes to the plugin will be done in the context of beta and release versions of Rainmeter.

Note: Any skins you have already created and distributed with the AudioLevel plugin included in the .rmskin should be modified to exclude the plugin and require at least the Rainmeter 3.2 r2317 beta version. This will ensure that older versions of the plugin are not being added to user's systems when your skin is installed.

Full documentation and example skins for the AudioLevel plugin are at http://docs.rainmeter.net/manual-beta/plugins/audiolevel

Discussions about and support for the plugin can be found on the AudioLevel Plugin Support Topic here in the forums.
Example.gif
Click to view animation
You do not have the required permissions to view the files attached to this post.
User avatar
fonpaolo
Moderator
Posts: 1351
Joined: April 11th, 2013, 8:08 pm
Location: Italy

Re: AudioLevel plugin

fonpaolo » September 9th, 2014, 7:38 pm

I was planning to not include the plugin but to give a link to the forum post where download the latest version.
...and I'm not using the 3.2 beta, so, what can I do? :???:

...anyway, it's a great news! :thumbup: :D
User avatar
jsmorley
Developer
Posts: 19245
Joined: April 19th, 2009, 11:02 pm
Location: Fort Hunt, Virginia, USA

Re: AudioLevel plugin

jsmorley » September 9th, 2014, 7:43 pm

fonpaolo wrote:I was planning to not include the plugin but to give a link to the forum post where download the latest version.
...and I'm not using the 3.2 beta, so, what can I do? :???:

...anyway, it's a great news! :thumbup: :D
We would prefer not to support different versions of the plugin, or try to manage keeping both the built-in version and a separate version sync'd up on user's systems. The risk of incompatible versions or missing improvements or bug fixes is just too high. Built-in plugins and 3rd-party plugins are stored in different folders in the Rainmeter ecosystem.

If you really don't want to use the beta version of Rainmeter, then I think it will be difficult for you to use the plugin. (and certainly difficult for you to distribute .rmskin files that use it.) We certainly don't care (well, we "care", but in the nice way) if you personally use an older version of the plugin, but we would object to skins being distributed with it.

There has already been at least one small bug-fix with a Unicode issue in the Format child measure option that was fixed today, and only supported in the plugin version in the Rainmeter beta.

Just my opinion, and you are welcome to your preferred approach, but really... Rainmeter beta versions are just as "stable" as the release versions. In 3+ years we have never had a real problem with a beta, and even if there is some hiccup, a new beta can be minutes away. I hate to be snarky, but does this mean you didn't use gmail for the first 5+ years that everyone else was using it? Since it was in "beta" until just recently?
User avatar
fonpaolo
Moderator
Posts: 1351
Joined: April 11th, 2013, 8:08 pm
Location: Italy

Re: AudioLevel plugin

fonpaolo » September 9th, 2014, 8:04 pm

Ok, I'll think about it... Thanks.

However, this will require that everyone who uses the skins must use 3.2 beta, but, correct me if I'm wrong, I remember I read somewhere that to distribute the skins as rmskin package one must allow the last official version (3.1.0 in this case).
User avatar
jsmorley
Developer
Posts: 19245
Joined: April 19th, 2009, 11:02 pm
Location: Fort Hunt, Virginia, USA

Re: AudioLevel plugin

jsmorley » September 9th, 2014, 8:06 pm

fonpaolo wrote:Ok, I'll think about it... Thanks.

However, this will require that everyone who uses the skins must use 3.2 beta, but, correct me if I'm wrong, I remember I read somewhere that to distribute the skins as rmskin package one must allow the last official version (3.1.0 in this case).
You will want to have your .rmskin "require" at least the 3.2.0 r2317 version of Rainmeter. That is a simple setting when you create the .rmskin. And yes, that means that only users who have at least that version will be able to install your skin. Wouldn't do them any good to install your skin on 3.1.0, since they won't have the plugin.

Heading back to "snarky" mode, I have to say that I have trouble wrapping my head around the fact that one is ok with using and distributing a 3rd-party plugin that is brand-new and is not part of the overall Rainmeter project, while quivering with suspicion about the beta version of Rainmeter...

:-)
User avatar
fonpaolo
Moderator
Posts: 1351
Joined: April 11th, 2013, 8:08 pm
Location: Italy

Re: AudioLevel plugin

fonpaolo » September 9th, 2014, 8:13 pm

Ok, you've convinced me. :)
User avatar
jsmorley
Developer
Posts: 19245
Joined: April 19th, 2009, 11:02 pm
Location: Fort Hunt, Virginia, USA

Re: AudioLevel plugin

jsmorley » September 9th, 2014, 8:15 pm

fonpaolo wrote:Ok, you've convinced me. :)
I'm actually quite pleased if I did. You are one of the better skin authors and are a lot of help here on the forums, and I'd prefer it if you were with us on the bleeding edge...
User avatar
fonpaolo
Moderator
Posts: 1351
Joined: April 11th, 2013, 8:08 pm
Location: Italy

Re: AudioLevel plugin

fonpaolo » September 9th, 2014, 8:19 pm

Oh, thanks!